# 关闭{docsify-ignore-all}

接口请求调用说明 <br>
http请求方式: POST <br>
请求地址: http://127.0.0.1:8080/demo/horizon/workflow/rest/flow/support/action.wf <br>
**post数据说明：**
```
{
  "accessToken": "",
  "workId": "HZ28858f80f4ecfe0180ff30bf52017e",
  "trackId": "HZ28858f80f4ecfe0180ff30bf52017f",
  "actionData": {
    "operate": "close",
    "reOpen":false
  }
}
```
请求参数说明:

| 参数          | 是否必须 | 描述            |
|-------------|------|---------------|
| accessToken | 是    | 调用接口凭证，唯一用户标识 |
| workId      | 是    | 流程实例id        |
| trackId     | 是    | 流程路径id        |
| actionData  | 是    | 其他提交数据        |
actionData数据说明:

| 参数      | 是否必须 | 描述              |
|---------|------|-----------------|
| operate | 是    | 关闭操作标识，固定值close |
| reOpen  | 是    | 是否重新打开，固定值false     |

**返回结果示例：**
```
{
    "operate": "close",
    "operateFlag": "1",
    "operateStatus": "success",
    "reOpen": "false",
    "status": 0,
    "trackId": "HZ28858f80f4ecfe0180ff30bf52017f",
    "workId": "HZ28858f80f4ecfe0180ff30bf52017e"
}
```
**结果参数说明:**

| 参数            | 参数类型   | 描述                    |
|---------------|--------|-----------------------|
| operate       | String | 操作标识，固定值              |
| operateFlag   | String | 操作标记 -1：显示关闭，0、1：正常提交 |
| operateStatus | String | 流程操作结果                |
| reOpen        | String | 是否重新打开，可忽略            |
| status        | int    | 流程操作状态码               |
| trackId       | String | 流程路径id                |
| workId        | String | 流程实例id                |

