# 流程引擎 {docsify-ignore-all}

> 业务流程自动化管理

 工作流引擎可以按照用户设定的规则驱动业务流程运转，也可以嵌入到第三方的行业解决方案中，流程规则可以灵活定义和维护，慧正工作流系统作为流程类应用的开发框架，在其中可以完成业务流程建模、开发管理、监控运维等工作

## 优势
+ 定制方便灵活，只需拖拉拽即可快速建立流程模型，并可快速测试，比Activiti等流程框架更快速直接
+ 支持多种部署和嵌入，tomcat、jboss、weblogic等服务中间件皆支持部署，也可嵌入spring和springboot项目中
+ 支持多种数据库(12种)，除了支持oracle和mysql等常用数据库外，还支持包括kingbase、南大神通等多种国产数据库
+ 强大的扩展支持，支持接入其他开发框架的组织机构；支持接入流程表单和流程协作
+ 超强的细节把控，流程引擎配有流程监控、工作中心、管理域等可视化监控，可随时查看流程的流转情况


## 价值

+ 学习成本低、易于迁移复用
+ 省去程序员用在简易但又数量巨大的流程程序开发时间， 同比程序开发节省70%工作量
+ 配套设置丰富， 配合流程协作更完善
+ 嵌入式实现与其它IT组件的灵活集成