# 流程表单字段权限

## 查询流程指定的字段权限信息
接口请求调用说明 <br>
http请求方式: POST <br>
请求地址: http://127.0.0.1:8080/demo/horizon/workflow/rest/flow/auth.wf <br>
**post数据说明：**
```
{
  "accessToken": "",
  "authId":""
}
```
请求参数说明:

| 参数          | 是否必须 | 描述            |
|-------------|------|---------------|
| accessToken | 是    | 调用接口凭证，唯一用户标识 |
| authId      | 否    | 流程表单字段权限id    |
**返回结果示例：**
```
{
  "code": 0,
  "data": {
    "formId": "HZ28858f809c392401809c3d514e0035",
    "authName": "auth_test",
    "checkField": [
      "HZ28858f809c392401809c3d514e0035_NAME"
    ],
    "editField": [
      "HZ28858f809c392401809c3d514e0035_NAME"
    ],
    "hiddenField": [],
    "readField": [
      "HZ28858f809c392401809c3d514e0035_P2",
      "HZ28858f809c392401809c3d514e0035_P1"
    ]
  },
  "message": "",
  "success": true
}
```
**结果参数说明:**

| 参数          | 参数类型   | 描述                       |
|-------------|--------|--------------------------|
| formId      | String | 表单id                     |
| authName    | String | 权限名称                     |
| editField   | List   | 可编辑字段，每一项为 表单id+关联表字段 拼接 |
| checkField  | List   | 必填字段，每一项为 表单id+关联表字段 拼接  |
| hiddenField | List   | 隐藏字段，每一项为 表单id+关联表字段 拼接  |
| readField   | List   | 只读字段，每一项为 表单id+关联表字段 拼接  |
